Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000821Frama-CDocumentation > manualspublic2011-05-11 14:262016-06-21 14:20
Reporterfgarnier 
Assigned Tosignoles 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Carbon-20110201 
Target VersionFixed in VersionFrama-C Nitrogen-20111001 
Summary0000821: Wrong module name for the function prepareCFG and computeCFGInfo in the Frama-C Carbon html API.
DescriptionInside the Cil_types.html API documentation page, the function Cil.prepareCFG and Cil.computeCFGInfo are referenced as being part of the module Cil.
Those information are exact for the Boron version of FRAMA-C, however in the
Frama-c Carbon version both functions are located in the module Cfg.

Best regards,
 Florent.
Additional InformationWe are currently operating the migration of an experimental plugin, from
the Boron version to the current version of Carbon. Unfortunately, we didn't
used many function. It is possible that we didn't noticed other ill-referenced functions.

 We anyway noticed that the function Ast_info.loc_stmt isn't anymore present
within the Ast_info module, and we weren't able to find an equivalent one elsewhere. Therefore, we wrote our own.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001868)
yakobowski (manager)
2011-05-11 16:44

loc_stmt has become Cil_datatype.Stmt.loc
(0001881)
signoles (manager)
2011-05-13 10:32

To complete what Boris Y. said, several functions of Ast_info (included Ast_info.loc_stmt) has moved into Cil_datatype and its submodules.
(0004789)
signoles (manager)
2014-02-12 16:59

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2011-05-11 14:26 fgarnier New Issue
2011-05-11 14:26 fgarnier Status new => assigned
2011-05-11 14:26 fgarnier Assigned To => signoles
2011-05-11 16:44 yakobowski Note Added: 0001868
2011-05-13 10:29 signoles Status assigned => acknowledged
2011-05-13 10:32 signoles Note Added: 0001881
2011-05-13 11:26 svn Checkin
2011-05-13 11:26 svn Status acknowledged => resolved
2011-05-13 11:26 svn Resolution open => fixed
2011-10-10 14:13 signoles Fixed in Version => Frama-C Nitrogen-20111001
2011-10-10 14:14 signoles Status resolved => closed
2014-02-12 16:59 signoles Note Added: 0004789
2014-02-12 16:59 signoles Status closed => resolved
2016-06-21 14:11 signoles Category Documentation => Documentation > ACSL
2016-06-21 14:20 signoles Category Documentation > ACSL => Documentation > manuals


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker